# Class ToolChoice

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents a tool choice mode.

    public abstract class ToolChoice

Inheritance
  object
  ToolChoice

Derived
  AnyToolChoice
  AutoToolChoice
  SpecificToolChoice

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### ToolChoice(string)

Initializes a new instance of the ToolChoice class.

    protected ToolChoice(string type)

#### Parameters

`type` string

  The type of the tool choice.

## Properties

### Type

Gets the type of the tool choice.

    public string Type { get; init; }

#### Property Value

string